Loading...
Searching...
No Matches
pappso::PrecursorIonData Struct Reference

`#include <qualifiedmassspectrum.h>`

## Public Member Functions

| PrecursorIonData (double mz_value=0, int charge_value=0, double intensity_value=0)

## Public Attributes

double | mz = 0
int | charge = 0
double | intensity = 0

## Detailed Description

Definition at line 74 of file qualifiedmassspectrum.h.

## Constructor & Destructor Documentation

## PrecursorIonData()

pappso::PrecursorIonData::PrecursorIonData | ( | double | mz_value = 0,
|  | int | charge_value = 0,
|  | double | intensity_value = 0 )

inline

Definition at line 81 of file qualifiedmassspectrum.h.

{
mz = mz_value;
charge = charge_value;
intensity = intensity_value;
};
pappso::PrecursorIonData::mz
double mz
Definition qualifiedmassspectrum.h:76
pappso::PrecursorIonData::intensity
double intensity
Definition qualifiedmassspectrum.h:78
pappso::PrecursorIonData::charge
int charge
Definition qualifiedmassspectrum.h:77

References charge, intensity, and mz.

## Member Data Documentation

## charge

int pappso::PrecursorIonData::charge = 0

Definition at line 77 of file qualifiedmassspectrum.h.

Referenced by PrecursorIonData(), pappso::cbor::psm::CborScanMapBase::getCurrentQualifiedMassSpectrumSPtr(), pappso::cbor::psm::PsmFileReaderBase::getCurrentQualifiedMassSpectrumSPtr(), pappso::MzcborMsRunReader::qualifiedMassSpectrum(), and pappso::cbor::mzcbor::MzcborSpectrumCollectionReader::readSpectrum().

## intensity

double pappso::PrecursorIonData::intensity = 0

Definition at line 78 of file qualifiedmassspectrum.h.

Referenced by PrecursorIonData(), pappso::cbor::psm::CborScanMapBase::getCurrentQualifiedMassSpectrumSPtr(), pappso::cbor::psm::PsmFileReaderBase::getCurrentQualifiedMassSpectrumSPtr(), pappso::MzcborMsRunReader::qualifiedMassSpectrum(), and pappso::cbor::mzcbor::MzcborSpectrumCollectionReader::readSpectrum().

## mz

double pappso::PrecursorIonData::mz = 0

Definition at line 76 of file qualifiedmassspectrum.h.

Referenced by PrecursorIonData(), pappso::cbor::psm::CborScanMapBase::getCurrentQualifiedMassSpectrumSPtr(), pappso::cbor::psm::PsmFileReaderBase::getCurrentQualifiedMassSpectrumSPtr(), pappso::MzcborMsRunReader::qualifiedMassSpectrum(), and pappso::cbor::mzcbor::MzcborSpectrumCollectionReader::readSpectrum().

The documentation for this struct was generated from the following file:

- pappsomspp/core/massspectrum/qualifiedmassspectrum.h